# Signer | xrpl
Documentation for xrpl

# Interface Signer

#### Hierarchy

- Signer

- Defined in packages/xrpl/src/models/common/index.ts:27

#####
Index

### Properties

Signer

## Properties

### Signer

Signer: {
Account: string;
SigningPubKey: string;
TxnSignature: string;
}

#### Type declaration

- ##### Account: string

- ##### SigningPubKey: string

- ##### TxnSignature: string

- Defined in packages/xrpl/src/models/common/index.ts:28

Generated using TypeDoc